Unit rsf1r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

procedure rsf1r(var SX :Array of Real; var SY :Array of Real;
                var SXY1 :Array of Real; var SXY2 :Array of Real;
                NC :Integer; var DPH :Array of Real;
                var AV :Array of Real; var COH :Array of Real);

implementation

procedure rsf1r(var SX :Array of Real; var SY :Array of Real;
                var SXY1 :Array of Real; var SXY2 :Array of Real;
                NC :Integer; var DPH :Array of Real;
                var AV :Array of Real; var COH :Array of Real);
var
I :Integer;
Q,R,T :Real;
label
_1;
begin
for I:=1 to NC do
 begin
  Q := SXY1[I-1];
  R := SXY2[I-1];
  DPH[I-1] := ArcTan(R/Q);
  T := EMax1(Abs(Q),Abs(R));
  Q := Q/T;
  R := R/T;
  Q := T*Sqrt(Q*Q+R*R);
  AV[I-1] := Q;
_1:
  COH[I-1] := Q*Q/(SX[I-1]*SY[I-1]);
 end;
end;

end.
